Support » Plugin: User Access Manager » Update 1.2.7.5. killed User Access Manager – NextGEN Gallery Extension?

  • ikookmaar

    (@ikookmaar)


    Hi,

    I just updated User Access Manager to 1.2.7.5 and did the database update (single blog).
    I also use the User Access Manager – NextGEN Gallery Extension version 0.1.4.1 along with NextCellent Gallery (latest) version 1.9.31. All this on WordPress 4.6.1. This used to work fine…
    Now I notice that administering or calling any NextGen / NextCellent Gallery fails with:
    Fatal error: Call to undefined method UserAccessManager::getAdminOptions() in /www/htdocs/vocalin/cms/wp-content/plugins/user-access-manager-nextgen-gallery-extension/class/UamNgg.class.php on line 422
    Is this related to the update of UAM?
    If so, can we expect a fix for the NextGEN Gallery Extension soon, or is development abandoned?

    thanks in advance…

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author GM_Alex

    (@gm_alex)

    You are right. I didn’t thought that any one still uses the extension. I will see to release a update. But until that you could replace all ->getAdminOptions() by ->getConfig()->getAdminOptions(). That should fix the issue.

    ikookmaar

    (@ikookmaar)

    Thanks for your super-quick response and work-around.

    I found and replaced 10 occurrences of ->getAdminOptions() in UamNgg.class.php by ->getConfig()->getAdminOptions() and it seems to work. I can open my Galleries again.

    I have the same setup running on a test site. I tried deactivating the NextGEN Gallery Extension plugin there, but it results in: (domain) is currently unable to handle this request.HTTP ERROR 500

    By the way, I read NextCellent is incompatible with WordPress 4.7, so I guess I will have to revert to NextGen…

    • This reply was modified 3 years ago by ikookmaar.
    • This reply was modified 3 years ago by ikookmaar.
    ikookmaar

    (@ikookmaar)

    The replacement fixed showing Galleries in the NextCellent Admin section, but they still fail to show up in posts:

    Fatal error: Call to undefined method UamNgg::getConfig() in /www/htdocs/vocalin/cms/wp-content/plugins/user-access-manager-nextgen-gallery-extension/class/UamNgg.class.php on line 678

    Sorry…

    (guess I should really post this in the User Access Manager – NextGEN Gallery Extension support forum?)

    ikookmaar

    (@ikookmaar)

    So I just undid the replacements on line 678, 684 and 660.
    That seems to have fixed the undefined method UamNgg::getConfig()
    Can I expect more problems?

    Plugin Author GM_Alex

    (@gm_alex)

    I don’t think so.

    Hello Alex, Hello Ikookmaar.

    Thanks to both of you for this topic because I’ve just update WP and UAM and my galleries was unable to be published !
    Now it’s efficient again !

    Alex : your plugin is great ! Please go on releasing it (If you can an want to of course 😉 !

    I fixed the issues but there still have somme other ones : for example there is an HTTP server 500 error if you try to unactivate the plugin. There is an other issue on the presentation of the gallery list.
    Nothing serious but…

    Do you think you’ll be able to release your extension ?
    Thanks for all.

    Laurent.

    Hello.

    There is another bug I thinK… I have just notice that the Album feature does not work anymore.
    The Album is not visible on the post or page…

    Can you help me ?

    Thank You.

    Laurent.

    Plugin Author GM_Alex

    (@gm_alex)

    @bigloltrash Please try User Access Manager 2.0.1 and User Access Manager – NextGEN Gallery Extension 1.0.0-Beta.

    Hello Alex.

    The first time I tried (just before writing the previous post), I was not able to activate the plugin (crashed, but I did not remember how). I thought it was a beta issue and that it was too soon to use it !

    Ok I’ll try again.
    And I will report you any kind of issue if there is !

    Thank you so much.
    Laurent.
    Laurent.

    Hello Alex.

    OK.The website is up to date.
    Bit the automatic upgrade probably has an issue.
    I had deactivated both UAM and UAM NGG.
    Then I upgraded UAM and immediately had an HTTP Error 500…
    With my FTP Client I deleted UAM and UAM NGG.
    Next, I copied UAM directory with FTP and activated it.
    It Worked again.
    Next I copied UAM Ngg and activated it.

    Everything seems to be OK With NGG Plugin.
    But Nexcellent doesn’t work anymore.
    Is it right for you ?

    Thanks.

    Laurent.

    • This reply was modified 2 years, 8 months ago by Laurent.
Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Update 1.2.7.5. killed User Access Manager – NextGEN Gallery Extension?’ is closed to new replies.